Crash after upgrade from 1.5.25 to 1.5.26

Joomla version 1.5 is end-of-life and are no longer supported. Please use Joomla 3.x instead.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
ruddcl
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Fri Mar 06, 2009 7:37 am

Crash after upgrade from 1.5.25 to 1.5.26

Post by ruddcl » Sat Mar 29, 2014 12:15 pm

After upload of patch to upgrade to 1.5.26 the website crashed with following error message. Website www.tashkent-events.info
Warning: require_once(/hsphere/local/home/ruddcl/tashkent-events.info/libraries/joomla/import.php) [function.require-once]: failed to open stream: Permission denied in /hsphere/local/home/ruddcl/tashkent-events.info/administrator/includes/framework.php on line 37

Fatal error: require_once() [function.require]: Failed opening required '/hsphere/local/home/ruddcl/tashkent-events.info/libraries/joomla/import.php' (include_path='.:') in /hsphere/local/home/ruddcl/tashkent-events.info/administrator/includes/framework.php on line 37

Upgrade was done to prepare to migrate site to 2.5.

 
User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 26603
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: Crash after upgrade from 1.5.25 to 1.5.26

Post by Per Yngve Berg » Sat Mar 29, 2014 1:34 pm

There is a corrupt or missing file.

1. Get the 1.5.26 full package
2. Unzip to your computer
3. Delete the installation folder
4. Upload to your site, overwriting all files.

ruddcl
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Fri Mar 06, 2009 7:37 am

Re: Crash after upgrade from 1.5.25 to 1.5.26

Post by ruddcl » Sat Mar 29, 2014 5:56 pm

We did upload full package of 1.5.26 but the error remains the same.

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 26603
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: Crash after upgrade from 1.5.25 to 1.5.26

Post by Per Yngve Berg » Sat Mar 29, 2014 6:05 pm

It's a file permission issue.

Are the server running supjp?

Please use the Forum Post Assistant.

ruddcl
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Fri Mar 06, 2009 7:37 am

Re: Crash after upgrade from 1.5.25 to 1.5.26

Post by ruddcl » Sat Mar 29, 2014 7:28 pm

Thanks your your tips. I renamed the Libraries directory and uploaded
a fresh copy and this solved the problem. Seems someone or something
renamed ownership of the old directory to "root" with no "user"
access. The site was recently hacked and that may be the cause of
permission issues

 

Locked

Return to “Migrating and Upgrading to Joomla! 1.5”